#include <bits/stdc++.h>
#include <ext/pb_ds/tree_policy.hpp>
#include <ext/pb_ds/assoc_container.hpp>

using namespace std;
using namespace __gnu_pbds;

typedef vector<int> vi;
typedef vector<vi> vvi;
typedef pair<int, int> pii;
typedef vector<pii> vpii;
typedef vector<vpii> vvpii;
typedef long long ll;
typedef long double ld;

template <class T> using Tree = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

#define pb push_back
#define mp make_pair
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define sz(x) (int)(x).size()
#define fi first
#define se second

template<class T> bool ckmin(T &a, const T &b) {return a > b ? a = b, 1 : 0;}
template<class T> bool ckmax(T &a, const T &b) {return a < b ? a = b, 1 : 0;}

//DEBUG TEMPLATE POCINJE OVDE

void __print(int x) {cerr << x;}
void __print(long long x) {cerr << x;}
void __print(double x) {cerr << x;}
void __print(long double x) {cerr << x;}
void __print(char x) {cerr << '\'' << x << '\'';}
void __print(const string &x) {cerr << '\"' << x << '\"';}
void __print(bool x) {cerr << (x ? "true" : "false");}

template<typename T, typename V>
void __print(const pair<T, V> &x) {cerr << '{'; __print(x.first); cerr << ','; __print(x.second); cerr << '}';}
template<typename T>
void __print(const T &x) {int f = 0; cerr << '{'; for(auto z : x) cerr << (f++ ? "," : ""), __print(z); cerr << "}";}
void _print() {cerr << "]\n";}
template <typename T, typename... V>
void _print(T t, V... v) {__print(t); if(sizeof...(v)) cerr << ", "; _print(v...);}

#ifdef ljuba
#define debug(x...) cerr << "LINE(" << __LINE__ << ") -> " << "[" << #x << "] = ["; _print(x)
#else
#define debug(x...)
#endif

//DEBUG TEMPLATE SE ZAVRSAVA OVDE

const char nl = '\n';

const int INF = 1e9;

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    string s;
    cin >> s;
    int n = sz(s);

    if(n == 1) {
        cout << 0 << nl;
        return 0;
    }

    vi v(n);

    for(int i = 0; i < n; ++i) {
        v[i] = s[i] - '0';
    }

    vvi dp(10, vi((1<<10), INF));
    vvi dp2(10, vi((1<<10), INF));

    for(int i = 0; i < 10; ++i) {
        dp2[i][0] = (v[0] != i);
    }

    for(int i = 1; i < n; ++i) {
        for(int j = 0; j < 10; ++j) {
            for(int k = 0; k < 10; ++k) {
                for(int mask = 0; mask < (1<<10); ++mask) {
                    if(j == k) {
                        if(((mask>>j)&1) == 0) {
                            ckmin(dp[k][mask], dp2[j][mask] + (v[i] != k));
                        }
                    }
                    else {
                        if(((mask>>j)&1) == 0 && ((mask>>k)&1) == 0) {
                            ckmin(dp[k][mask + (1<<j)], dp2[j][mask] + (v[i] != k));
                        }
                    }
                }
            }
        }
        dp2 = dp;
        if(i != n-1) {
            dp = vvi(10, vi((1<<10), INF));
        }
    }
    
    int ans = 1e9;

    for(int i = 0; i < 10; ++i) {
        for(int j = 0; j < (1<<10); ++j) {
            ckmin(ans, dp[i][j]);
        }
    }

    cout << ans << nl;
}